const { createProxyMiddleware } = require('http-proxy-middleware');

// const appKey = "k5hfiei5eevouvjohkapjaudpk2gakpaxha22fiy";
// const server = "http://ai-api.uat.hivoice.cn";

const appKey = "tp3szvq45m3yn6rdjhxlzrrikf6fc3a75t2yh3y3";
const server = "https://ai-api.hivoice.cn";

const accessServer = "https://uc.hivoice.cn";

module.exports = function (app) {
    app.use(
        '/rest/v2/phone/login',
        createProxyMiddleware({
            target: accessServer,
            changeOrigin: true,
            logger: console,
        })
    );
    app.use(
        '/rest/v2/phone/send_phone_code',
        createProxyMiddleware({
            target: accessServer,
            changeOrigin: true,
            logger: console,
        })
    );


    app.use(
        '/rest/v2/user/login',
        createProxyMiddleware({
            target: accessServer,
            changeOrigin: true,
            logger: console,
        })
    );
    app.use(
        '/rest/v2/user/get_user_info',
        createProxyMiddleware({
            target: accessServer,
            changeOrigin: true,
            logger: console,
        })
    );
    app.use(
        '/rest/v2/token/get_access_token',
        createProxyMiddleware({
            target: accessServer,
            changeOrigin: true,
            logger: console,
        })
    );
    app.use(
        '/rest/v2/token/refresh_access_token',
        createProxyMiddleware({
            target: accessServer,
            changeOrigin: true,
            logger: console,
        })
    );


    app.use(
        '/api/app/app-voice-recorder/rest/v1/trans/info/list',
        createProxyMiddleware({
            target: server,
            changeOrigin: true,
            logger: console,
            onProxyReq: (proxyReq, req, res) => {
                proxyReq.setHeader('appKey', appKey);
                // console.log("proxyReq", req)
            },
        })
    );
    app.use(
        '/api/app/app-voice-recorder/rest/v1/user/select',
        createProxyMiddleware({
            target: server,
            changeOrigin: true,
            logger: console,
            onProxyReq: (proxyReq, req, res) => {
                proxyReq.setHeader('appKey', appKey);
            },
        })
    );
    app.use(
        '/api/app/app-voice-recorder/rest/v1/trans/info/download',
        createProxyMiddleware({
            target: server,
            changeOrigin: true,
            logger: console,
            onProxyReq: (proxyReq, req, res) => {
                proxyReq.setHeader('appKey', appKey);
            },
        })
    );
};